qpid::client::SessionBase_0_10 Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
qpid::client::SessionBase_0_10 Class Reference

Base class for handles to an AMQP session. More...

`#include <qpid/client/SessionBase_0_10.h>`

List of all members.

## Public Member Functions
| SessionBase_0_10 ()
| ~SessionBase_0_10 ()
SessionId | getId () const
| Get the session ID.
void | close ()
| Close the session.
void | sync ()
| Synchronize the session: sync() waits until all commands issued on this session so far have been completed by the broker.
uint32_t | timeout (uint32_t seconds)
| Set the timeout for this session.
void | suspend ()
| Suspend the session - detach it from its connection.
void | resume (Connection)
| Resume a suspended session with a new connection.
uint16_t | getChannel () const
| Get the channel associated with this session.
void | flush ()
void | markCompleted (const framing::SequenceSet &ids, bool notifyPeer)
void | markCompleted (const framing::SequenceNumber &id, bool cumulative, bool notifyPeer)
void | sendCompletion ()
bool | isValid () const
Connection | getConnection ()
## Protected Attributes
boost::shared_ptr< SessionImpl > | impl

## Detailed Description

Base class for handles to an AMQP session.

Subclasses provide the AMQP commands for a given version of the protocol.

## Constructor & Destructor Documentation

qpid::client::SessionBase_0_10::SessionBase_0_10 | ( |  | ) |

qpid::client::SessionBase_0_10::~SessionBase_0_10 | ( |  | ) |

## Member Function Documentation

void qpid::client::SessionBase_0_10::close | ( |  | ) |

Close the session.

A session is automatically closed when all handles to it are destroyed.

void qpid::client::SessionBase_0_10::flush | ( |  | ) |

uint16_t qpid::client::SessionBase_0_10::getChannel | ( |  | ) | const

Get the channel associated with this session.

Connection qpid::client::SessionBase_0_10::getConnection | ( |  | ) |

SessionId qpid::client::SessionBase_0_10::getId | ( |  | ) | const

Get the session ID.

bool qpid::client::SessionBase_0_10::isValid | ( |  | ) | const

void qpid::client::SessionBase_0_10::markCompleted | ( | const framing::SequenceSet & | ids,
|  | bool | notifyPeer
| ) |  |

void qpid::client::SessionBase_0_10::markCompleted | ( | const framing::SequenceNumber & | id,
|  | bool | cumulative,
|  | bool | notifyPeer
| ) |  |

void qpid::client::SessionBase_0_10::resume | ( | Connection |  | ) |

Resume a suspended session with a new connection.

void qpid::client::SessionBase_0_10::sendCompletion | ( |  | ) |

void qpid::client::SessionBase_0_10::suspend | ( |  | ) |

Suspend the session - detach it from its connection.

void qpid::client::SessionBase_0_10::sync | ( |  | ) |

Synchronize the session: sync() waits until all commands issued on this session so far have been completed by the broker.

Note sync() is always synchronous, even on an AsyncSession object because that's almost always what you want. You can call AsyncSession::executionSync() directly in the unusual event that you want to do an asynchronous sync.

uint32_t qpid::client::SessionBase_0_10::timeout | ( | uint32_t | seconds | ) |

Set the timeout for this session.

## Member Data Documentation

boost::shared_ptr<SessionImpl> qpid::client::SessionBase_0_10::impl`[protected]`

Definition at line 104 of file SessionBase_0_10.h.

Referenced by qpid::client::AsyncSession_0_10::operator=(), and qpid::client::Session_0_10::operator=().

The documentation for this class was generated from the following file:

- qpid/client/SessionBase_0_10.h